Subject: [PATCH v2 2/2] arm: omap: remove *.auto* from device names given in usb_bind_phy

From: [email-masked] (Tony Lindgren)
Date: Mon, 9 Dec 2013 09:40:00 -0800

* Javier Martinez Canillas <[email-masked]> [131209 03:51]:
> Hi Kishon,
> 
> On Mon, Dec 9, 2013 at 7:07 AM, Kishon Vijay Abraham I <[email-masked]> wrote:
> > Hi,
> >
> >
> > On Saturday 07 December 2013 02:38 AM, Felipe Balbi wrote:
> >>
> >> Hi,
> >>
> >> On Fri, Dec 06, 2013 at 01:14:38PM +0100, Javier Martinez Canillas wrote:
> >>>
> >>> On Fri, Dec 6, 2013 at 1:06 PM, Kishon Vijay Abraham I <[email-masked]>
> >>> wrote:
> >>>>
> >>>> Previously MUSB wrapper (OMAP) device used PLATFORM_DEVID_AUTO while
> >>>> creating
> >>>> MUSB core device. So in usb_bind_phy (binds the controller with the
> >>>> PHY), the
> >>>> device name of the controller had *.auto* in it. Since with using
> >>>> PLATFORM_DEVID_AUTO, there is no way to know the exact device name in
> >>>> advance,
> >>>> the data given in usb_bind_phy became obsolete and usb_get_phy was
> >>>> failing.
> >>>> So MUSB wrapper was modified not to use PLATFORM_DEVID_AUTO.
> >>>> Corresponding
> >>>> change is done in board file here.
> >>>>
> >>>> Signed-off-by: Kishon Vijay Abraham I <[email-masked]>
> >>>> ---
> >>>>   arch/arm/mach-omap2/board-2430sdp.c        |    2 +-
> >>>>   arch/arm/mach-omap2/board-3430sdp.c        |    2 +-
> >>>>   arch/arm/mach-omap2/board-cm-t35.c         |    2 +-
> >>>>   arch/arm/mach-omap2/board-devkit8000.c     |    2 +-
> >>>>   arch/arm/mach-omap2/board-ldp.c            |    2 +-
> >>>>   arch/arm/mach-omap2/board-omap3beagle.c    |    2 +-
> >>>>   arch/arm/mach-omap2/board-omap3logic.c     |    2 +-
> >>>>   arch/arm/mach-omap2/board-omap3pandora.c   |    2 +-
> >>>>   arch/arm/mach-omap2/board-omap3stalker.c   |    2 +-
> >>>>   arch/arm/mach-omap2/board-omap3touchbook.c |    2 +-
> >>>>   arch/arm/mach-omap2/board-overo.c          |    2 +-
> >>>>   arch/arm/mach-omap2/board-rx51.c           |    2 +-
> >>>>   12 files changed, 12 insertions(+), 12 deletions(-)
> >>>>
> >>>
> >>> You can drop this patch since boards files are being removed for v3.14
> >>
> >>
> >> if we can drop this patch, the whole series is invalid, since we'll be
> >> using DT phandles to find PHYs going forward, no ?
> >>
> > yeah. But in one of the other threads, Tony seemed ok to take a patch that
> > fixes the same issue in mach-omap2/twl-common.c. So it's better to confirm
> > with Tony.
> >
> 
> Yes, I just read the other thread ("[PATCH] omap: twl-common: Fix
> musb-hdrc device name") and I see that these patches are fixing a
> v3.13 regression and are meant for the -rc cycle and not for v3.14.

Sorry guys, I'm a bit lost with these USB regression fixes.
Which regression fix do we need for v3.13-rc series?

If there's an option, I'd rather not touch all the board-*.c files as
those are about to get dropped for v3.14.

Regards,

Tony